/*

 popis_KD_kartica_EXCEL.PRG

 05-09-2015

  COBA Systems Software
 BAST Open Source Project
 Business Account Software Technology
 www.cobasystems.com
 Program: Alaska Xbase++ 1.90.355 sl1
          XbTools, ADSDBE, eXpress++






*/



#include "Appevent.ch"
#include "Xbp.ch"
#include "Gra.ch"
#include "Font.ch"
#include "color.ch"
#include "common.ch"

#include "xbtsys.ch"
#include "dcdialog.ch"

#include "activex.ch"
#include "excel.ch"
#pragma library( "ascom10.lib" )  // createobject()





******************************************************************************
FUNCTION popis_KD_kartica_EXCEL(xx)  // xx="K", xx="D"
******************************************************************************
LOCAL radno := SELECT()
LOCAL cSkonto
LOCAL source, target, lKopija

LOCAL oEXcel, cDir, oBook, cExcelFile
LOCAL nRrow, klasa, vreme1,vreme2,vreme3
LOCAL FIRMA, NASLOV, period_knjige

SET DATE GERMAN
SET CENTURY ON

DEFAULT xx TO "K"  // "K" KUPCI-CUSTOMER, "D" DOBAVLJAI-SUPPLIERS





 
    KDSIFRA:="ALL"
    kdgrupa:=len(KDSIFRA)





PRIVATE counter1:=0, counter2:=0
PRIVATE OPIS, NAZI


//-------------------------------------------
 USE KUP.DBF NEW EXCLUSIVE ALIAS "KUPDOB"
 IF NetErr()
    SELECT(radno)
    s_net("REGISTAR KUPACA") // customer register
    RETURN(.F.)
 ENDIF
 GO TOP
 // Sort: code
   INDEX ON KUDS_ TO KDsort
   counter_all:=reccount()
//-------------------------------------------
 USE GK.DBF NEW EXCLUSIVE ALIAS "GK1"
 IF NetErr()
    CLOSE DATABASES
    s_net("GLAVNA KNJIGA")  // ledger - customer accounts
    RETURN(.F.)
 ENDIF
//-------------------------------------------
   SELECT "GK1"
   INDEX ON OPIS_+ DTOS(DAT0_) TO KDpomoc
   SET INDEX TO KDpomoc
   GO TOP
   POSLOVNA_GODINA=STR(YEAR(DAT0_),4)
//---------------------------------------------






 // COMPANY

 FIRMA := ALLTRIM(P_NAZIV)+" - "+ALLTRIM(P_LICE)+" - "+;
          ALLTRIM(P_MESTO)+" - "+ALLTRIM(P_ADR)+" - "+;
          "Matini Broj: "+ALLTRIM(P_MG_MA_BR)
 NASLOV := "BRUTO BILANS - ZAKLJUNI LIST GLAVNE KNJIGE"+;
 "  "+"ZA PERIOD: "+DTOC(DATUM1)+" - "+DTOC(DATUM2)

 // PERIOD
 
 period_knjige :=  DTOC(DATUM1)+" - "+DTOC(DATUM2)
 f_i := "COBA Systems Software | www.cobasystems.com"


//========================================================
//                    EXCEL START
//========================================================

  // Create the "Excel.Application" object
  oExcel := CreateObject("Excel.Application")
  IF Empty( oExcel )
    CLOSE DATABASES
    MsgBox( "Excel ver.2010 is not installed" )
    RETURN NIL
  ENDIF
  vreme1 := seconds()
  vreme2 := seconds()
  *ec_p("Formira se EXCEL tabela...")

  // Avoid message boxes such as "File already exists".
  // Also, ensure the Excel application is visible.
  oExcel:DisplayAlerts := .F.
  oExcel:visible       := .F.

  // Add a workbook to the Excel application. Query for
  // the active sheet (sheet-1) and set up page/paper
  // orientation.
  cDir := "C:\EXCEL" // gde_exe()+"\ZIP"
  oBook  := oExcel:workbooks:Add()
  PRIVATE oSheet := oBook:ActiveSheet
  oSheet:PageSetup:Orientation := xlLandscape
//========================================================
//                    EXCEL START
//========================================================


//========================================================
//              EXCEL FORMATIRAJ KOLONE
//========================================================

  // Format the columns. Column #1 is for the part
  // name, all others visualize numerice values

   * Colons
   * 1 = "NALOG KNJIENJA"   dictat for booking
   * 2 = "DATUM DOKUMENTA"
   * 3 = "VALUTA PLAANJA"
   * 4 = "VRSTA"
   * 5 = "DOKUMENT BROJ"
   * 6 = "VEZA ZA DOKUMENT"

   * 7 = "DUGUJE          "
   * 8 = "POTRAUJE       "
   * 9 = "SALDO           "

  oSheet:Columns( 1 ):NumberFormat := "@"    // ako je string-broj "0033" tada sa "@" zadrava vodee nule

  oSheet:Columns( 2 ):NumberFormat := "@" // "dd\-mm\-yyyy;@"
  oSheet:Columns( 3 ):NumberFormat := "@" // "dd\-mm\-yyyy;@" // default za serbian // "dd\-mm\-yyyy;@" "dd\/mm\/yyyy;@"

  oSheet:Columns( 4 ):NumberFormat := "@"
  oSheet:Columns( 5 ):NumberFormat := "@"
  oSheet:Columns( 6 ):NumberFormat := "@"

  oSheet:Columns( 7 ):NumberFormat := "#.##0,00"
  oSheet:Columns( 8 ):NumberFormat := "#.##0,00"
  oSheet:Columns( 9 ):NumberFormat := "#.##0,00"



  oSheet:Columns(1):ColumnWidth = 18
  oSheet:Columns(1):HorizontalAlignment = xlLeft  // excel.ch
  oSheet:Columns(2):ColumnWidth = 18
  oSheet:Columns(2):HorizontalAlignment = xlLeft
  oSheet:Columns(3):ColumnWidth = 18
  oSheet:Columns(3):HorizontalAlignment = xlLeft
  oSheet:Columns(4):ColumnWidth = 8
  oSheet:Columns(4):HorizontalAlignment = xlLeft
  oSheet:Columns(5):ColumnWidth = 18
  oSheet:Columns(5):HorizontalAlignment = xlLeft
  oSheet:Columns(6):ColumnWidth = 18
  oSheet:Columns(6):HorizontalAlignment = xlLeft

  oSheet:Columns(7):ColumnWidth = 18
  oSheet:Columns(7):HorizontalAlignment = xlRight
  oSheet:Columns(8):ColumnWidth = 18
  oSheet:Columns(8):HorizontalAlignment = xlRight
  oSheet:Columns(9):ColumnWidth = 18
  oSheet:Columns(9):HorizontalAlignment = xlRight

//========================================================
//              EXCEL FORMATIRAJ KOLONE
//========================================================




//========================================================
//              EXCEL NASLOV TABELE
//========================================================
  nRow := 1 // 1 prazan red


 // NASLOV TABELE U TRI REDA - MERGE CELLS
 // -----------------------------------------
   kdfile := "KD_Account"
   IF xx == "K"
     * ys := DTOC(DATUM1)+" - "+DTOC(DATUM2)
       ys := POSLOVNA_GODINA
       xs := "POPIS RAUNA KUPACA "+ ys
       xe := "LIST OF ACCOUNTS CUSTOMERS " + ys
       kdfile := "Kupci_Account_ALL"
   ELSE
     * ys := DTOC(DATUM1)+" - "+DTOC(DATUM2)
       ys := POSLOVNA_GODINA
       xs := "POPIS RAUNA DOBAVLJAA "+ ys
       xe := "LIST OF ACCOUNTS SUPPLIERS (VENDORS) " + ys
       kdfile := "Dobavljaci_Account_ALL"
   ENDIF

   kdgrupa:=len(KDSIFRA)
   IF kdgrupa==1 // "A" ili "ALL"
      zs := "GRUPA RAUNA | Account Group: "+KDSIFRA
   ELSEIF kdgrupa==3
      zs := "SVI RAUNI | Account All"
   ELSE
      zs := "RAUN | Account: "+KDSIFRA
   ENDIF



  nRow++  // 2 red
  r1:=nRow
  oSheet:Cells(nRow,1):Value := ALLTRIM(P_NAZIV) // + " " + ALLTRIM(P_MESTO)  + " " + ALLTRIM(P_ADR)
  oSheet:Cells(nRow,1):Font:Name := "Calibri Bold"
  oSheet:Cells(nRow,1):Font:Size := 14
  oSheet:Cells(nRow,1):Font:Color := 4000 // tamno crvena
  oRange := oSheet:Range("A"+var2char(nRow)+":"+"I"+var2char(nRow))
  oRange:Merge()


  nRow++  // 3 red
  r2:=nRow
  oSheet:Cells(nRow,1):Value := xs
  oSheet:Cells(nRow,1):Font:Name := "Calibri Bold"
  oSheet:Cells(nRow,1):Font:Size := 14
  oRange := oSheet:Range("A"+var2char(nRow)+":"+"I"+var2char(nRow))
  oRange:Merge()


  nRow++  // 4 red
  r3:=nRow
  oSheet:Cells(nRow,1):Value := xe
  oSheet:Cells(nRow,1):Font:Name := "Calibri Bold"
  oSheet:Cells(nRow,1):Font:Size := 14
  oRange := oSheet:Range("A"+var2char(nRow)+":"+"I"+var2char(nRow))
  oRange:Merge()


  nRow++  // 5 red
  r4:=nRow
  oSheet:Cells(nRow,1):Value := zs
  oRange := oSheet:Range("A"+var2char(nRow)+":"+"I"+var2char(nRow))
  oRange:Merge()

  // OBOJI RANG ZA NASLOV
  oRange := oSheet:Range("A"+var2char(r1)+":"+"I"+var2char(r4))
* oRange:Borders:LineStyle := xlContinuous
  oRange:Interior:Color    := xlGray25

//========================================================
//              EXCEL NASLOV TABELE
//========================================================


  nRow++

  // Open source table, reset the row counter used
  // to determine the row# inside the excel
  // sheet later on.

       PRIVATE brojac:=0       // broja svih konta
       PRIVATE brojacuslova:=0 // broja konta koja zadovoljavaju zadati uslov
       PRIVATE brojacstavki:=0 // broja stavki knjienja za sva konta

       PRIVATE SDUG:=0, SPOT:=0, SSAL:=0
       PRIVATE ZDUG:=0, ZPOT:=0, ZSAL:=0

       SELECT "KUPDOB" 
       PROGRES1(,,,counter_all+1)
       PROGRES2("PRIPREMA...")

       GO TOP
       DO WHILE .NOT. EOF()

           brojac++  // broja svih konta

           K_PIB    := PIB_
           K_SIFRA  := KUDS_
           K_OZNAKA := KUDO_
           K_NAZIV  := KUDN_
           K_NAZIVX := KUDU_
           K_LICE   := LICE_
           K_ADR    := ADRE_
           K_POSTA  := POST_
           K_MESTO  := MEST_
           K_TEL    := TFON_
           K_ZIRORN := ZIRO_
           K_MAIL   := MAIL_
           K_KONT   := KONT_
           K_MBR    := MBR_
           K_REPU   := REPU_
           K_IBAN   := IBAN_


           ZDUG := 0
           ZPOT := 0
           ZSAL := 0



           kdgrupa := len(KDSIFRA)

           kdupis  := .F.


           // KDSIFRA=="ALL"
           // zadati svi rauni
           // i vri se upis ovog i svakog rauna u EXCEL
              kdupis := .T.
              kdfile := "Kupci_Account_ALL"



          *************************************
          IF kdupis == .T.
          *************************************
          // u EXCEL tabelu idu samo RAUNI koji ispunjavaju zadati uslov
          // veliki broj podataka ubije EXCEL tabelu !!!

          brojacuslova++  // broja konta koja zadovoljavaju zadati uslov

          OPIS := ALLTRIM(K_KONT)+"-"+ALLTRIM(K_SIFRA)  // Polje OPIS_ u Glavnoj Knjizi GK_1.DBF

          PROGRES2(;
          "RAUN: "+OPIS+;
          "         Ukupno rauna: "+var2char(counter_all)+" | "+var2char(brojacstavki))




          SELECT "GK1"
          SEEK OPIS
          IF FOUND()

             //msgbox("=="+OPIS+"==","naen")

             * POSTOJE STAVKE KNJIENJA NA KONTA
             brojacstavki++ // broja konta koja zadovoljavaju zadati uslov (imaju knjienja)
             **********************************************
              stampa_jedne_KD_kartice_EXCEL(OPIS,K_NAZIV,xx)  // STAMPA JEDNE KD KARTICE
             **********************************************
             * funkcija vraa ZDUG,ZPOT
             SDUG:=SDUG+ZDUG
             SPOT:=SPOT+ZPOT
          ELSE
            //msgbox(OPIS,"Nije naen")
          ENDIF
          SELECT "KUPDOB"


         ************************************
         ENDIF // kdupis
         ************************************

         IF KDSIFRA==K_SIFRA
            EXIT
         ENDIF


       SKIP
       ENDDO

       SELECT "KUPDOB"
       USE
       SELECT "GK1"
       USE

       PROGRES3()




// FOOTER
// -------
  nRow++
   oSheet:Cells(nRow,1):Value := var2char(brojacstavki)+" od/of "+var2char(counter_all)

   oSheet:Cells(nRow,7):Value := SDUG
   oSheet:Cells(nRow,7):Font:Name := "Calibri Bold"

   oSheet:Cells(nRow,8):Value := SPOT
   oSheet:Cells(nRow,8):Font:Name := "Calibri Bold"

   oSheet:Cells(nRow,9):Value := SDUG-SPOT // SSAL
   oSheet:Cells(nRow,9):Font:Name := "Calibri Bold"

   IF oSheet:Cells(nRow,9):Value < 0
   oSheet:Cells(nRow,9):Font:Color := 5800 // tamno crvena
   ENDIF

  oznaka:="A"+var2char(nRow)+":"+"I"+var2char(nRow)
  oRange := oSheet:Range(oznaka)
  // oRange:Borders:LineStyle := xlContinuous
  oRange:Interior:Color    := -2000 // xlGray25


// POTPIS - SIGNATURE
// -------
  nRow++
   oSheet:Cells(nRow,1):Value := f_i



//========================================================
//        EXCEL TABELU SNIMI U FAJL I STARTUJ
//========================================================

  * msgbox( oBook:FullName )

  // Save workbook as ordinary excel file.
  cDir := "C:\EXCEL"
  IF FILE(cDir,"D")==.F.
     Dirmake(cDir)
  ENDIF



 * cExcelFile := cDir+"\"+kdfile+".xls"
 * oBook:SaveAs(cExcelFile,xlWorkbookNormal)


  cExcelFile := cDir+"\"+kdfile+".xlsx"
  oBook:SaveAs(cExcelFile)

 // obavezno ovo uraditi inae EXCEL.EXE ostaje u memoriji
  oSheet:destroy()
  oBook:close()
  oBook:destroy()

  // Quit Excel
  oExcel:Quit()
  oExcel:Destroy()

  // vreme1 := seconds()
  vreme2 := seconds()
  *ec_k("Formira se EXCEL tabela...")
  vreme3 := vreme2-vreme1
  c__poruka("EXCEL tabela je formirana na lokaciji:"+chr(59)+;
            cExcelFile,;
            "Zavreno za "+var2char(vreme3)+" s",,"CB")


  ******************************
  startexcel(cExcelFile) // ovde
  ******************************


//========================================================
//        EXCEL TABELU SNIMI U FAJL I STARTUJ
//========================================================



RETURN(nil)

*******************************************************************************
// TAMPA RAUNA - PRINT ACCOUNT
STATIC FUNCTION stampa_jedne_KD_kartice_EXCEL(KONTO,NAZIV,xx)

*******************************************************************************

DEFAULT KONTO TO "*", NAZIV TO "*"
SET DATE GERMAN
SET CENTURY ON

   PRIVATE y,ys
   STORE 0 TO ZDUG,ZPOT,ZSAL,y


   IF xx = "K"
     //ys := PADR("Stanje za period: "+DTOC(DATUM1)+" - "+DTOC(DATUM2),41)
   ELSE
     //ys := PADR("Stanje za godinu: "+POSLOVNA_GODINA,41)
   ENDIF


 // NASLOV TABELE U JEDNOM REDU - MERGE CELLS
 // -----------------------------------------
         /*
           K_PIB    := PIB_
           K_SIFRA  := KUDS_
           K_OZNAKA := KUDO_
           K_NAZIV  := KUDN_
           K_NAZIVX := KUDU_
           K_LICE   := LICE_
           K_ADR    := ADRE_
           K_POSTA  := POST_
           K_MESTO  := MEST_
           K_TEL    := TFON_
           K_ZIRORN := ZIRO_
           K_MAIL   := MAIL_
           K_KONT   := KONT_
           K_MBR    := MBR_
           K_REPU   := REPU_
           K_IBAN   := IBAN_
         */


  FormatStavke := KD_RedoviLabeleTabele() // __ZADAJ.PRG
* FormatStavke := "Red"
* FormatStavke := "Labela"


IF FormatStavke == "Labela"   // U ovom sluaju tampa se i skraena labela kao heder kartice


  nRow++ ;r1:=nRow

  oSheet:Cells(nRow,1):Value := K_SIFRA  + space(36+36+36+20) + var2char(brojacstavki)
  oRange := oSheet:Range("A"+var2char(nRow)+":"+"I"+var2char(nRow))
  oRange:Merge(); oRange:Interior:Color := xlGray25; oRange:Font:Name := "Calibri Bold"; oRange:Font:Size := 12

*  oSheet:Cells(nRow,5):Value := var2char(brojacstavki)
*  oSheet:Cells(nRow,5):Font:Name := "Calibri Bold"; oSheet:Cells(nRow,9):Font:Size := 12;oSheet:Cells(nRow,9):Interior:Color := xlGray25



  nRow++
  oSheet:Cells(nRow,1):Value := ALLTRIM(K_NAZIV) + " " + ALLTRIM(K_NAZIVX)
  oRange := oSheet:Range("A"+var2char(nRow)+":"+"I"+var2char(nRow))
  oRange:Merge(); oRange:Interior:Color := xlGray25; oRange:Font:Name := "Calibri Bold"; oRange:Font:Size := 12

  nRow++
  oSheet:Cells(nRow,1):Value := "CITY-MESTO: "+ALLTRIM(K_MESTO)+" POST: "+ALLTRIM(K_POSTA)+" ADDRESS: "+ALLTRIM(K_ADR)
  oRange := oSheet:Range("A"+var2char(nRow)+":"+"I"+var2char(nRow))
  oRange:Merge(); oRange:Interior:Color := xlGray25; oRange:Font:Name := "Calibri Bold"; oRange:Font:Size := 10

  nRow++
  oSheet:Cells(nRow,1):Value := "STATE: "+ALLTRIM(K_REPU)+"    "+"MANAGER: "+ALLTRIM(K_LICE)+" TEL: "+ALLTRIM(K_TEL)+" "+"MEIL: "+ALLTRIM(K_MAIL)
  oRange := oSheet:Range("A"+var2char(nRow)+":"+"I"+var2char(nRow))
    oRange:Merge(); oRange:Interior:Color := xlGray25; oRange:Font:Name := "Calibri Bold"; oRange:Font:Size := 10

  nRow++ ; r2:=nRow
  oSheet:Cells(nRow,1):Value := "ACCOUNT: " + ALLTRIM(KONTO) + "  GROUP: "+ K_OZNAKA + " ID-MBR: "+ALLTRIM(K_MBR)+" ID-PIB: "+ALLTRIM(K_PIB)+" BANK ACCOUNT: "+ALLTRIM(K_ZIRORN)+" IBAN: "+ALLTRIM(K_IBAN)
  oRange := oSheet:Range("A"+var2char(nRow)+":"+"I"+var2char(nRow))
    oRange:Merge(); oRange:Interior:Color := xlGray25; oRange:Font:Name := "Calibri Bold"; oRange:Font:Size := 10

  *oSheet:Cells(nRow,1):Font:Name := "Calibri Bold"
  *oSheet:Cells(nRow,1):Font:Size := 14

  // Merge okvir naziva tabele i ispis naziva tabele
  // -----------------------------------------------
//  oznaka:="A"+var2char(r1)+":"+"I"+var2char(r2)
//  oRange := oSheet:Range(oznaka)
//  oRange:Merge()
//  //oRange:Borders:LineStyle := xlContinuous
//  oRange:Interior:Color    := xlGray25
//  oRange:Font:Name := "Calibri Bold"
//  oRange:Font:Size := 12

 // HEDER TABELE (NASLOV KOLONA) U DVA REDA
 //-------------------------------------------------


ENDIF // IF FormatStavke == .T.




  nRow++
    r1:=nRow

    IF xx$"K"
    oSheet:Cells(nRow,1):Value := "KUPAC: "+K_SIFRA+"  "+ALLTRIM(K_NAZIV)+" - "+ALLTRIM(K_MESTO)
    oSheet:Cells(nRow,1):Interior:Color := 0xFF6600 // PLAVA
    ELSE
    oSheet:Cells(nRow,1):Value := "DOBAVLJA: "+K_SIFRA+"  "+ALLTRIM(K_NAZIV)+" - "+ALLTRIM(K_MESTO)
    oSheet:Cells(nRow,1):Interior:Color := 0x008000 // ZELENA
    ENDIF

    oSheet:Cells(nRow,1):Font:Name      := "Calibri Bold"
    oSheet:Cells(nRow,1):Font:Color     := 0xFFFFFF // BELA


    oSheet:Cells(nRow,2):Value := " "
    oSheet:Cells(nRow,3):Value := " "
    oSheet:Cells(nRow,4):Value := " "
    oSheet:Cells(nRow,5):Value := " "

  oznaka:="A"+var2char(nRow)+":"+"E"+var2char(nRow)
  oRange := oSheet:Range(oznaka)
  oRange:merge()
  // oRange:Borders:LineStyle := xlContinuous
  // oRange:Interior:Color    := 0x008000 // ZELENA

  IF xx$"K"

    oSheet:Cells(nRow,6):Value := "              KUPAC:"
    oSheet:Cells(nRow,7):Value := "NAM DUGUJE      "
    oSheet:Cells(nRow,8):Value := "JE PLATIO       "
    oSheet:Cells(nRow,9):Value := "STANJE RAUNA   "

    oSheet:Cells(r1,6):Interior:Color    := 0xFF6600  // PLAVA
    oSheet:Cells(r1,6):Font:Color        := 0xFFFFFF  // BELA
    oSheet:Cells(r2,6):Font:Name := "Calibri Bold"

    oSheet:Cells(r1,7):Interior:Color    := 0x0000FF  // CRVENA 0x008000 // ZELENA
    oSheet:Cells(r1,7):Font:Color        := 0xFFFFFF  // BELA
    oSheet:Cells(r2,7):Font:Name := "Calibri Bold"

    oSheet:Cells(r1,8):Interior:Color    := 0xFF6600  // PLAVA
    oSheet:Cells(r1,8):Font:Color        := 0xFFFFFF  // BELA
    oSheet:Cells(r1,8):Font:Name := "Calibri Bold"

    oSheet:Cells(r1,9):Interior:Color    := 0xFF6600  // PLAVA
    oSheet:Cells(r1,9):Font:Color        := 0xFFFFFF  // BELA
    oSheet:Cells(r1,9):Font:Name := "Calibri Bold"

  ELSE

    oSheet:Cells(nRow,6):Value := "         DOBAVLJAU:"
    oSheet:Cells(nRow,7):Value := "JE PLAENO      "
    oSheet:Cells(nRow,8):Value := "SE DUGUJE       "
    oSheet:Cells(nRow,9):Value := "STANJE RAUNA   "

    oSheet:Cells(r1,6):Interior:Color    := 0x008000 // ZELENA
    oSheet:Cells(r1,6):Font:Color        := 0xFFFFFF  // BELA
    oSheet:Cells(r2,6):Font:Name := "Calibri Bold"

    oSheet:Cells(r1,7):Interior:Color    := 0x008000 // ZELENA
    oSheet:Cells(r1,7):Font:Color        := 0xFFFFFF // BELA
    oSheet:Cells(r2,7):Font:Name := "Calibri Bold"

    oSheet:Cells(r1,8):Interior:Color    := 0x0000FF  // CRVENA
    oSheet:Cells(r1,8):Font:Color        := 0xFFFFFF  // BELA
    oSheet:Cells(r1,8):Font:Name := "Calibri Bold"

    oSheet:Cells(r1,9):Interior:Color    := 0x008000 // ZELENA
    oSheet:Cells(r1,9):Font:Color        := 0xFFFFFF  // BELA
    oSheet:Cells(r1,9):Font:Name := "Calibri Bold"

  ENDIF


  nRow++
  r2:=nRow

    oSheet:Cells(nRow,1):Value := "Nalog knjienja "
    oSheet:Cells(nRow,2):Value := "Datum dokumenta "
    oSheet:Cells(nRow,3):Value := "Valuta plaanja "
    oSheet:Cells(nRow,4):Value := "Vrsta"
    oSheet:Cells(nRow,5):Value := "Dokument broj   "
    oSheet:Cells(nRow,6):Value := "Veza za dokument"
    oSheet:Cells(nRow,7):Value := "DUGUJE          "
    oSheet:Cells(nRow,8):Value := "POTRAUJE       "
    oSheet:Cells(nRow,9):Value := "SALDO           "


 nRow++
 r3:=nRow

    oSheet:Cells(nRow,1):Value := "Dictat for booking"
    oSheet:Cells(nRow,2):Value := "Date of Document"
    oSheet:Cells(nRow,3):Value := "Date of Payment "
    oSheet:Cells(nRow,4):Value := "Type"
    oSheet:Cells(nRow,5):Value := "Document Number "
    oSheet:Cells(nRow,6):Value := "Link to Document"
    oSheet:Cells(nRow,7):Value := "Debit           "
    oSheet:Cells(nRow,8):Value := "Credit          "
    oSheet:Cells(nRow,9):Value := "Balance         "


  // Heder tabele okvir kolona zaglavlja tabele
  //---------------------------------------------
  oznaka:="A"+var2char(r2)+":"+"I"+var2char(r3)
  oRange := oSheet:Range(oznaka)
  oRange:Borders:LineStyle := xlContinuous
  oRange:Interior:Color    := xlGray25





      ***************************************************************************
      DO WHILE ALLTRIM(OPIS_) == ALLTRIM(KONTO) .AND. EOF() == .F.
      ***************************************************************************



                    y:=y+1

                    ZDUG:=ZDUG+DUG_
                    ZPOT:=ZPOT+POT_
                    ZSAL:=ZSAL+DUG_-POT_


              // RED TABELE: U JEDNOM REDU (VREDNOST ZA SVAKU KOLONU)
              //-----------------------------------------------------

                  nRow++
                  oSheet:Cells(nRow,1):Value := NALO_
                  oSheet:Cells(nRow,2):Value := DTOC(DAT0_)
                  oSheet:Cells(nRow,3):Value := DTOC(VAL1_)
                  oSheet:Cells(nRow,4):Value := VDOK_
                  oSheet:Cells(nRow,5):Value := BRJ0_
                  oSheet:Cells(nRow,6):Value := VEZA_
                  oSheet:Cells(nRow,7):Value := DUG_
                  oSheet:Cells(nRow,8):Value := POT_
                  oSheet:Cells(nRow,9):Value := ZSAL



          Title := ;
          "RAUN: "+OPIS+;
          "         Ukupno rauna: "+var2char(counter_all)+" | "+var2char(brojacstavki)+" | "+var2char(y)

          Progres_dialog:SetTitle(title)


      SKIP
      ***************************************************************************
      ENDDO
      ***************************************************************************




              // KRAJ I ZBIR TABELE: U JEDNOM REDU (VREDNOST ZA SVAKU KOLONU)
              //--------------------------------------------------------------

      stanjesalda := TRANSFORM(ABS(ZSAL),"9,999,999,999,999,999.99")
      stanje      := ""
      boja        := 0
      IF xx$"K"

           IF ZSAL = 0
              stanje:="RAUN KUPCA JE ZATVOREN (Account customer is closed): "+stanjesalda
              boja := 0
           ELSEIF ZSAL > 0
              stanje:="KUPAC NAM DUGUJE IZNOS (Customer owes amount): "+stanjesalda
              boja := 0x0000FF  // crvena
           ELSEIF ZSAL < 0
              stanje:="KUPAC IMA PRETPLATU/AVANS (Customer has given avans): "+stanjesalda
              boja := 0x008000 // ZELENA
           ENDIF
      ELSE
           IF ZSAL = 0
              stanje:="RAUN DOBAVLJAA JE ZATVOREN (Account suppliers is closed): "+stanjesalda
              boja := 0
           ELSEIF ZSAL > 0
              stanje:="DOBAVLJAU JE DATA PRETPLATA/AVANS (Supplier has given avans): "+stanjesalda
              boja := 0x008000 // ZELENA
           ELSEIF ZSAL < 0
              stanje:="DOBAVLJAU SE DUGUJE (We owe Supplier): "+stanjesalda
              boja := 0x0000FF  // crvena
           ENDIF
      ENDIF


                  nRow++

                  oSheet:Cells(nRow,1):Value := stanje
                  oSheet:Cells(nRow,1):Font:Name  := "Calibri Bold"
                  oSheet:Cells(nRow,1):Font:Color := boja
                  oznaka:="A"+var2char(nRow)+":"+"E"+var2char(nRow)
                  oRange := oSheet:Range(oznaka)
                  oRange:merge()


                  oSheet:Cells(nRow,7):Value := ZDUG
                  oSheet:Cells(nRow,7):Font:Name := "Calibri Bold"

                  oSheet:Cells(nRow,8):Value := ZPOT
                  oSheet:Cells(nRow,8):Font:Name := "Calibri Bold"

                  oSheet:Cells(nRow,9):Value := ZSAL
                  oSheet:Cells(nRow,9):Font:Name := "Calibri Bold"

                  IF oSheet:Cells(nRow,9):Value < 0
                  oSheet:Cells(nRow,9):Font:Color := 5800 // tamno crvena
                  ENDIF

                  // OBOJI RANG ZA NASLOV
                  oRange := oSheet:Range("G"+var2char(nRow)+":"+"I"+var2char(nRow))
                  * oRange:Borders:LineStyle := xlContinuous
                  oRange:Interior:Color    := -7000 // xlGray75

                  nRow++


RETURN(.T.)





* -------------
//  startexcel(cExcelFile)
// aktiviraj excel - run excel sa cExcelFile
STATIC FUNCTION startexcel( cUrl, lBackground, lAsync )
// Preuzeto iz: _DCFUNCT.PRG/DCLIPX.DLL - Roger J. Donnay
// FUNCTION DC_SpawnUrl( cUrl, lBackground, lAsync )
LOCAL cParams, cCommand
DEFAULT lBackground TO .F., lAsync TO .t.
cParams := "url.dll,FileProtocolHandler " + Alltrim(cURL) // + IIF("?"$cUrl,"","?")
cCommand := "Rundll32.exe"
RunShell( cParams, cCommand, lAsync, lBackground )
RETURN 1
* -----------------



*********************************************************
STATIC FUNCTION stampa_text_ili_excel(fajl)
* RETURN q: 0=EXIT, 3=EXIT, 1=TXT, 2=EXCEL
*********************************************************
LOCAL q := 0
DEFAULT fajl TO "TXT"
q:=alertbox(,"tampa se kao "+fajl+" fajl;"+;
             "ili kao MS EXCEL tabela",;
             {fajl,"EXCEL","Exit"},,"Ovaj Dokument:","CB","R")
RETURN q

